summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-eselect/eselect-wxwidgets/files/wx-config-1.4')
-rwxr-xr-xapp-eselect/eselect-wxwidgets/files/wx-config-1.441
1 files changed, 41 insertions, 0 deletions
diff --git a/app-eselect/eselect-wxwidgets/files/wx-config-1.4 b/app-eselect/eselect-wxwidgets/files/wx-config-1.4
new file mode 100755
index 000000000000..27f085ff247b
--- /dev/null
+++ b/app-eselect/eselect-wxwidgets/files/wx-config-1.4
@@ -0,0 +1,41 @@
+#!/bin/sh -
+# $Id$
+#
+# /usr/bin/wx-config
+#
+# a lame wx-config wrapper (bugs to wxwidgets@gentoo.org)
+
+EPREFIX=''
+LIBDIR="lib"
+
+_wxerror() {
+ cat >&2 <<- EOF
+ An error occurred while calling wx-config:
+
+ ${1}
+
+ Please use \`eselect wxwidgets\` to select an available profile and try again.
+ EOF
+ exit 1
+}
+
+if [ -n "${WX_ECLASS_CONFIG}" ]; then
+ ${WX_ECLASS_CONFIG} "$@"
+ exit 0
+else
+ if [ -e "${EPREFIX}"/var/lib/wxwidgets/current ]; then
+ . "${EPREFIX}"/var/lib/wxwidgets/current
+ else
+ _wxerror "Cannot find the wxWidgets profile configuration ( ${EPREFIX}/var/lib/wxwidgets/current )"
+ fi
+
+ [ -z "${WXCONFIG}" -o "${WXCONFIG}" = none ] && _wxerror "No profile currently selected"
+
+ if [ -x "${EPREFIX}/usr/${LIBDIR}/wx/config/${WXCONFIG}" ]; then
+ "${EPREFIX}/usr/${LIBDIR}/wx/config/${WXCONFIG}" "$@"
+ else
+ _wxerror "Cannot find wxWidgets profile ( ${WXCONFIG} )"
+ fi
+ exit 0
+fi
+